TIME(1)

NAME
time - time command execution

SYNOPSIS
time [-clp] command [argument ...]

DESCRIPTION
The time utility executes and times command. After the command finishes, time writes the total elapsed time (wall clock time), (“real”), the CPU time spent executing command at user level (“user”), and the CPU time spent executing in the operating system kernel (“sys”), to the standard error stream. Times are reported in seconds.

Available options:

-c  Displays information in the format used by the time builtin of csh(1).

-l  Lists resource utilization information. The contents of the command process's rusage structure are printed; see below.

-p  The output is formatted as specified by p1003.2-92.

Some shells, such as csh(1) and ksh(1), have their own and syntactically different built-in version of time. The utility described here is available as /usr/bin/time to users of these shells.

  Resource Utilization
If the -l option is given, the following resource usage information is displayed in addition to the timing information:
maximum resident set size
average shared memory size
average unshared data size
average unshared stack size
page reclaims
page faults
swaps
block input operations
block output operations
messages sent
messages received
signals received
voluntary context switches
involuntary context switches
Resource usage is the total for the execution of command and any child processes it spawns, as per wait4(2).

FILES
<sys/resource.h>

EXIT STATUS
The time utility exits with one of the following values:

1-125
    An error occurred in the time utility.

126 The command was found but could not be invoked.

127 The command could not be found.

Otherwise, the exit status of time will be that of command.

SEE ALSO
csh(1), ksh(1), clock_gettime(2), getrusage(2)

STANDARDS
The time utility conforms to p1003.2-92.

BUGS
The granularity of seconds on microprocessors is crude and can result in times being reported for CPU usage which are too large by a second.